package cn.com.countrygarden.bi.main.model.financial;

import cn.com.countrygarden.bi.main.model.financial.dto.OutCome;
import cn.com.countrygarden.bi.main.model.financial.dto.Project;
import com.alibaba.fastjson.JSON;

public class PLByProject extends PLByMonth {

    private Project project;

    private OutCome areaCost;

    private Reason reason;

    private String TTLGPAmount;     //不含税收入 - 主营业务成本合计 - 区域成本合计

    private String TTLGPPercent;    // TTLGP$ / 不含税收入

    private String  ContributionAmount; // TTLGP$ - 销售费用 - 管理费用 -税金及附加 - 财务费用 + 营业外收支 - 区域销售费用 - 区域管理费用

    private String ContributionAmountPercent; // Contribution$ / 不含税收入

    private String Analaysis;

    private String inComeDiff;      //ERP 不含税收入 - NC 主营业务收入

    private String inComeDiffRate;  //  上面的 / 不含税收入

    public Project getProject() {
        return project;
    }

    public void setProject(Project project) {
        this.project = project;
    }

    public OutCome getAreaCost() {
        return areaCost;
    }

    public void setAreaCost(OutCome areaCost) {
        this.areaCost = areaCost;
    }

    public Reason getReason() {
        return reason;
    }

    public void setReason(Reason reason) {
        this.reason = reason;
    }

    public String getTTLGPAmount() {
        return TTLGPAmount;
    }

    public void setTTLGPAmount(String TTLGPAmount) {
        this.TTLGPAmount = TTLGPAmount;
    }

    public String getTTLGPPercent() {
        return TTLGPPercent;
    }

    public void setTTLGPPercent(String TTLGPPercent) {
        this.TTLGPPercent = TTLGPPercent;
    }

    public String getContributionAmount() {
        return ContributionAmount;
    }

    public void setContributionAmount(String contributionAmount) {
        ContributionAmount = contributionAmount;
    }

    public String getContributionAmountPercent() {
        return ContributionAmountPercent;
    }

    public void setContributionAmountPercent(String contributionAmountPercent) {
        ContributionAmountPercent = contributionAmountPercent;
    }

    public String getAnalaysis() {
        return Analaysis;
    }

    public void setAnalaysis(String analaysis) {
        Analaysis = analaysis;
    }

    public String getInComeDiff() {
        return inComeDiff;
    }

    public void setInComeDiff(String inComeDiff) {
        this.inComeDiff = inComeDiff;
    }

    public String getInComeDiffRate() {
        return inComeDiffRate;
    }

    public void setInComeDiffRate(String inComeDiffRate) {
        this.inComeDiffRate = inComeDiffRate;
    }


    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
